%define module_name Net-LibNFS
%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xsltproc libdispatch-devel libevent-devel libfuse-devel libpopt-devel libsowing-devel libtalloc-devel libtevent-devel perl(AnyEvent.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/MakeMaker/CPANfile.pm) perl(ExtUtils/PkgConfig.pm) perl(File/Which.pm) perl(IO/Async/Handle.pm) perl(IO/Async/Timer/Periodic.pm) perl(Mojo/IOLoop.pm) perl(Promise/XS.pm) perl(Test/Deep.pm) perl(Test/FailWarnings.pm) perl(Test/Fatal.pm) perl(X/Tiny.pm) perl(parent.pm) pkgconfig(libnfs)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: User-land NFS in Perl via L<libnfs|https://github.com/sahlberg/libnfs>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz

%description
libnfs allows you to access NFS
shares in user-space. Thus you can read & write files via NFS even if you
can.e't (or just would rather not) the mount(8) manpage them locally.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt2
- rebuild with perl 5.38

* Wed Dec 14 2022 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Sat Aug 13 2022 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- initial import by package builder

